Lm = 1008/1000; % maximum body length in mm 
E_Ystdev=0.5; % sigma(Y)

% DEB parameters 
Lb = 167/1000; % length at birth in mm 
kappa = 0.082; % fraction energy allocation to respiration (as opposed to reproduction)
mu = 0.03; % mortality rate
beta = 151; % to calculate von Bertalanffy growth rate r_b
alpha = -137.8; % to calculate von Bertalanffy growth rate r_b
Rm = 32; % maximum reproduction rate at L_m
E_Y = 0.95;

Linf = E_Y*Lm; % ultimate length  
Lp = 0.539*Linf; % length at puberty
rb = 1/(beta + alpha*Linf); % von Bertellanfy growth rate
                        
[S, R, G, D, meshpts] = BigMatrixShrink(10,0.1,1,Lp,Rm,Lm,E_Y,E_Ystdev,rb,kappa,Lb,mu);
kernel = G*S + D*R; 
% calculate lambda, ssd, and rv
[W,d] = eig(kernel); lambda1 = diag(d); imax = find(lambda1==max(lambda1)); 
V=conj(inv(W)); lambda = lambda1(imax); % population growth rate